function varargout = Mapit(varargin)
% MAPIT M-file for Mapit.fig
%      MAPIT, by itself, creates a new MAPIT or raises the existing
%      singleton*.
%
%      H = MAPIT returns the handle to a new MAPIT or the handle to
%      the existing singleton*.
%
%      MAPIT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MAPIT.M with the given input arguments.
%
%      MAPIT('Property','Value',...) creates a new MAPIT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before Mapit_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to Mapit_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help Mapit

% Last Modified by GUIDE v2.5 17-Jan-2017 11:02:29

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @Mapit_OpeningFcn, ...
                   'gui_OutputFcn',  @Mapit_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before Mapit is made visible.
function Mapit_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to Mapit (see VARARGIN)

% Choose default command line output for Mapit
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes Mapit wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = Mapit_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

% --- Executes on button press in YES. STEP 1
function YES_Callback(hObject, eventdata, handles)
% hObject    handle to YES (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
disp ('Open your raw data file')
    [fnamedat1,pathname1] = uigetfile('*','Open your raw data file');
    global f
    if fnamedat1 ~= 0
        gfile = [pathname1 fnamedat1];
        file = importdata(gfile, '-ascii');
        f=file.data.Rawdata;
    end


% --- Executes on button press in NO. STEP 1
function NO_Callback(hObject, eventdata, handles)
% hObject    handle to NO (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
disp ('Modify your files and come back!')
close(Map)

% --- Executes on button press in loadstddata. STEP 2
function loadstddata_Callback(hObject, eventdata, handles)
% hObject    handle to loadstddata (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
disp('LOAD REFERENCE MATERIAL RAW DATA (xls or xlsx)')
[fnamedat2,pathname2] = uigetfile('*','LOAD REFERENCE MATERIAL RAW DATA (xls or xlsx)');
global fileSTD
if fnamedat2 ~= 0
    File = [pathname2 fnamedat2];
    bbb = importdata(File, '-ascii');
end

fileSTD=bbb.data.STDMAP;
assignin('base','fileSTD',fileSTD)

% --- Executes on button press in loadstdconc. STEP 2
function loadstdconc_Callback(hObject, eventdata, handles)
% hObject    handle to loadstdconc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
disp ('LOAD REFERENCE MATERIAL CONCENTRATION FILE (xls or xlsx)')
[fnamedat3,pathname3] = uigetfile('*','LOAD REFERENCE MATERIAL CONCENTRATION FILE (xls or xlsx)');
global CANCAL
if fnamedat3 ~= 0
    File = [pathname3 fnamedat3];
    aaa = importdata(File, '-ascii');
end

CANCAL=aaa.data;
assignin('base','CANCAL',CANCAL)
 if  length(CANCAL)~= 40
        CANCALadd= zeros(40-length (CANCAL), 1);
        CANCAL_40=[CANCAL, CANCALadd'];
    else
        CANCAL_40=CANCAL;
 end
 assignin('base','CANCAL_40',CANCAL_40)

 
% --- Executes on button press in SET1. STEP 3
function SET1_Callback(hObject, eventdata, handles)
% hObject    handle to SET1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global f

    
    el=str2num(get(handles.numberelements,'String'))
    nbl=str2num(get(handles.numberlines,'String'))
   
    Ladd=zeros(1, el);
    [row, col] = find(isnan(f));
    
    result =[]
    for k=2:2:2*nbl;
        resultT =row(k+1,1)-row(k,1);
        result= [result, resultT];
    end
    nbpx=max(result);
    
    %%first line is extracted alone
    L1= f(1:row(1,1)-1, :);
    if length(L1)== nbpx
        L1 =L1;
    else L1  = [L1; Ladd];
    end
    
    %% Raw Matrix with all lines
    
    L=L1;
    
  for j=2:2:(((nbl*2)-2));
        Lt=f(row(j,1)+1:row(j+1,1)-1, :);
        if length(Lt)== length(L1)
            Ltemp =Lt;
        elseif length(L1)-length(Lt)==1
           Ltemp  = [Lt; Ladd];
        elseif      length(L1)-length(Lt)==2
           Ltemp  = [Lt; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==3
           Ltemp  = [Lt; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==4
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==5
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==6
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==7
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==8
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==9
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==10
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==11
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==12
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==13
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==14
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==15
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==16
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==17
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==18
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==19
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==20
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==21
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==22
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==23
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==24
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
           elseif      length(L1)-length(Lt)==25
           Ltemp  = [Lt; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd; Ladd];
        end
              
        L=[L; Ltemp ];
     end
    
    %L=L(1:(end-1),:);
    if el ~= 40
        Cadd= zeros(length (L), 40-el);
        L=[L, Cadd];
    else
        L=L;
    end
    
    
    %% ELEMENTAL MATRIX
    
    for kk=1:40
        
        suffix=num2str(kk);
        varName1=sprintf('vectorel_%s',suffix);
        varName2=sprintf('matrixel_%s',suffix);
        assignin('base',varName1,L(:,kk));
        assignin('base',varName2,reshape(L(:,kk), nbpx, nbl));
        
    end

    
% --- Executes on button press in SET2. STEP 4
function SET2_Callback(hObject, eventdata, handles)
% hObject    handle to SET2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%% BACKGROUND SUBTRACTION
    
 global minbkg
 global maxbkg
 global minmap
 global maxmap
 
    minbkg=str2num(get(handles.firstbckgcycle,'String'))
    maxbkg=str2num(get(handles.lastbckgcycle,'String'))
    minmap=str2num(get(handles.firstanalysiscycle,'String'))
    maxmap=str2num(get(handles.lastanalysiscycle,'String'))

    assignin('base','minbkg',minbkg);
    assignin('base','maxbkg',maxbkg);
    assignin('base','minmap',minmap);
    assignin('base','maxmap',maxmap);
    
% --- Executes on button press in RUN. STEP 4
function RUN_Callback(hObject, eventdata, handles)
% hObject    handle to RUN (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
 matrixel_1=evalin('base','matrixel_1');
 matrixel_2=evalin('base','matrixel_2');
 matrixel_3=evalin('base','matrixel_3');
 matrixel_4=evalin('base','matrixel_4');
 matrixel_5=evalin('base','matrixel_5');
 matrixel_6=evalin('base','matrixel_6');
 matrixel_7=evalin('base','matrixel_7');
 matrixel_8=evalin('base','matrixel_8');
 matrixel_9=evalin('base','matrixel_9');
 matrixel_10=evalin('base','matrixel_10');
 matrixel_11=evalin('base','matrixel_11');
 matrixel_12=evalin('base','matrixel_12');
 matrixel_13=evalin('base','matrixel_13');
 matrixel_14=evalin('base','matrixel_14');
 matrixel_15=evalin('base','matrixel_15');
 matrixel_16=evalin('base','matrixel_16');
 matrixel_17=evalin('base','matrixel_17');
 matrixel_18=evalin('base','matrixel_18');
 matrixel_19=evalin('base','matrixel_19');
 matrixel_20=evalin('base','matrixel_20');
 matrixel_21=evalin('base','matrixel_21');
 matrixel_22=evalin('base','matrixel_22');
 matrixel_23=evalin('base','matrixel_23');
 matrixel_24=evalin('base','matrixel_24');
 matrixel_25=evalin('base','matrixel_25');
 matrixel_26=evalin('base','matrixel_26');
 matrixel_27=evalin('base','matrixel_27');
 matrixel_28=evalin('base','matrixel_28');
 matrixel_29=evalin('base','matrixel_29');
 matrixel_30=evalin('base','matrixel_30');
 matrixel_31=evalin('base','matrixel_31');
 matrixel_32=evalin('base','matrixel_32');
 matrixel_33=evalin('base','matrixel_33');
 matrixel_34=evalin('base','matrixel_34');
 matrixel_35=evalin('base','matrixel_35');
 matrixel_36=evalin('base','matrixel_36');
 matrixel_37=evalin('base','matrixel_37');
 matrixel_38=evalin('base','matrixel_38');
 matrixel_39=evalin('base','matrixel_39');
 matrixel_40=evalin('base','matrixel_40');
 
 minbkg1=evalin('base','minbkg');
 maxbkg1=evalin('base','maxbkg');
 minmap1=evalin('base','minmap');
 maxmap1=evalin('base','maxmap');
 
 
    bcksub_el1=mean(matrixel_1(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el1',bcksub_el1);
    
    bcksub_el2=mean(matrixel_2(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el2',bcksub_el2);
    
    bcksub_el3=mean(matrixel_3(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el3',bcksub_el3);
    
    bcksub_el4=mean(matrixel_4(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el4',bcksub_el4);
    
    bcksub_el5=mean(matrixel_5(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el5',bcksub_el5);
    
    bcksub_el6=mean(matrixel_6(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el6',bcksub_el6);
    
    bcksub_el7=mean(matrixel_7(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el7',bcksub_el7);

    bcksub_el8=mean(matrixel_8(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el8',bcksub_el8);
    
    bcksub_el9=mean(matrixel_9(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el9',bcksub_el9);
    
    bcksub_el10=mean(matrixel_10(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el10',bcksub_el10);
    
    bcksub_el11=mean(matrixel_11(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el11',bcksub_el11);
    
    bcksub_el12=mean(matrixel_12(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el12',bcksub_el12);
    
    bcksub_el13=mean(matrixel_13(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el13',bcksub_el13);
    
    bcksub_el14=mean(matrixel_14(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el14',bcksub_el14);
    
    bcksub_el15=mean(matrixel_15(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el15',bcksub_el15);
    
    bcksub_el16=mean(matrixel_16(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el16',bcksub_el16);
    
    bcksub_el17=mean(matrixel_17(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el17',bcksub_el17);
    
    bcksub_el18=mean(matrixel_18(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el18',bcksub_el18);
    
    bcksub_el19=mean(matrixel_19(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el19',bcksub_el19);
    
    bcksub_el20=mean(matrixel_20(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el20',bcksub_el20);
    
    bcksub_el21=mean(matrixel_21(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el21',bcksub_el21);
    
    bcksub_el22=mean(matrixel_22(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el22',bcksub_el22);
    
    bcksub_el23=mean(matrixel_23(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el23',bcksub_el23);
    
    bcksub_el24=mean(matrixel_24(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el24',bcksub_el24);
    
    bcksub_el25=mean(matrixel_25(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el25',bcksub_el25);
    
    bcksub_el26=mean(matrixel_26(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el26',bcksub_el26);
    
    bcksub_el27=mean(matrixel_27(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el27',bcksub_el27);
    
    bcksub_el28=mean(matrixel_28(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el28',bcksub_el28);
    
    bcksub_el29=mean(matrixel_29(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el29',bcksub_el29);
    
    bcksub_el30=mean(matrixel_30(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el30',bcksub_el30);
    
    bcksub_el31=mean(matrixel_31(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el31',bcksub_el31);
    
    bcksub_el32=mean(matrixel_32(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el32',bcksub_el32);
    
    bcksub_el33=mean(matrixel_33(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el33',bcksub_el33);
    
    bcksub_el34=mean(matrixel_34(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el34',bcksub_el34);
    
    bcksub_el35=mean(matrixel_35(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el35',bcksub_el35);
    
    bcksub_el36=mean(matrixel_36(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el36',bcksub_el36);
    
    bcksub_el37=mean(matrixel_37(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el37',bcksub_el37);
    
    bcksub_el38=mean(matrixel_38(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el38',bcksub_el38);
    
    bcksub_el39=mean(matrixel_39(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el39',bcksub_el39);
    
    bcksub_el40=mean(matrixel_40(minbkg1:maxbkg1, :));
    assignin('base','bcksub_el40',bcksub_el40);
    

mapbck_el1= matrixel_1 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el1;
mapbck_el1(mapbck_el1<0)=0;
assignin('base','mapbck_el1',mapbck_el1);

mapbck_el2= matrixel_2 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el2;
mapbck_el2(mapbck_el2<0)=0;
assignin('base','mapbck_el2',mapbck_el2);

mapbck_el3= matrixel_3 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el3;
mapbck_el3(mapbck_el3<0)=0;
assignin('base','mapbck_el3',mapbck_el3);

mapbck_el4= matrixel_4 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el4;
mapbck_el4(mapbck_el4<0)=0;
assignin('base','mapbck_el4',mapbck_el4);

mapbck_el5= matrixel_5 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el5;
mapbck_el5(mapbck_el5<0)=0;
assignin('base','mapbck_el5',mapbck_el5);

mapbck_el6= matrixel_6 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el6;
mapbck_el6(mapbck_el6<0)=0;
assignin('base','mapbck_el6',mapbck_el6);

mapbck_el7= matrixel_7 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el7;
mapbck_el7(mapbck_el7<0)=0;
assignin('base','mapbck_el7',mapbck_el7);

mapbck_el8= matrixel_8 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el8;
mapbck_el8(mapbck_el8<0)=0;
assignin('base','mapbck_el8',mapbck_el8);

mapbck_el9= matrixel_9 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el9;
mapbck_el9(mapbck_el9<0)=0;
assignin('base','mapbck_el9',mapbck_el9);

mapbck_el10= matrixel_10 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el10;
mapbck_el10(mapbck_el10<0)=0;
assignin('base','mapbck_el10',mapbck_el10);

mapbck_el11= matrixel_11 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el11;
mapbck_el11(mapbck_el11<0)=0;
assignin('base','mapbck_el11',mapbck_el11);

mapbck_el12= matrixel_12 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el12;
mapbck_el12(mapbck_el12<0)=0;
assignin('base','mapbck_el12',mapbck_el12);

mapbck_el13= matrixel_13 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el13;
mapbck_el13(mapbck_el13<0)=0;
assignin('base','mapbck_el13',mapbck_el13);

mapbck_el14= matrixel_14 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el14;
mapbck_el14(mapbck_el14<0)=0;
assignin('base','mapbck_el14',mapbck_el14);

mapbck_el15= matrixel_15 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el15;
mapbck_el15(mapbck_el15<0)=0;
assignin('base','mapbck_el15',mapbck_el15);

mapbck_el16= matrixel_16 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el16;
mapbck_el16(mapbck_el16<0)=0;
assignin('base','mapbck_el16',mapbck_el16);

mapbck_el17= matrixel_17 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el17;
mapbck_el17(mapbck_el17<0)=0;
assignin('base','mapbck_el17',mapbck_el17);

mapbck_el18= matrixel_18 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el18;
mapbck_el18(mapbck_el18<0)=0;
assignin('base','mapbck_el18',mapbck_el18);

mapbck_el19= matrixel_19 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el19;
mapbck_el19(mapbck_el19<0)=0;
assignin('base','mapbck_el19',mapbck_el19);

mapbck_el20= matrixel_20 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el20;
mapbck_el20(mapbck_el20<0)=0;
assignin('base','mapbck_el20',mapbck_el20);

mapbck_el21= matrixel_21 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el21;
mapbck_el21(mapbck_el21<0)=0;
assignin('base','mapbck_el21',mapbck_el21);

mapbck_el22= matrixel_22 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el22;
mapbck_el22(mapbck_el22<0)=0;
assignin('base','mapbck_el22',mapbck_el22);

mapbck_el23= matrixel_23 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el23;
mapbck_el23(mapbck_el23<0)=0;
assignin('base','mapbck_el23',mapbck_el23);

mapbck_el24= matrixel_24 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el24;
mapbck_el24(mapbck_el24<0)=0;
assignin('base','mapbck_el24',mapbck_el24);

mapbck_el25= matrixel_25 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el25;
mapbck_el25(mapbck_el25<0)=0;
assignin('base','mapbck_el25',mapbck_el25);

mapbck_el26= matrixel_26 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el26;
mapbck_el26(mapbck_el26<0)=0;
assignin('base','mapbck_el26',mapbck_el26);

mapbck_el27= matrixel_27 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el27;
mapbck_el27(mapbck_el27<0)=0;
assignin('base','mapbck_el27',mapbck_el27);

mapbck_el28= matrixel_28 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el28;
mapbck_el28(mapbck_el28<0)=0;
assignin('base','mapbck_el28',mapbck_el28);

mapbck_el29= matrixel_29 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el29;
mapbck_el29(mapbck_el29<0)=0;
assignin('base','mapbck_el29',mapbck_el29);

mapbck_el30= matrixel_30 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el30;
mapbck_el30(mapbck_el30<0)=0;
assignin('base','mapbck_el30',mapbck_el30);

mapbck_el31= matrixel_31 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el31;
mapbck_el31(mapbck_el31<0)=0;
assignin('base','mapbck_el31',mapbck_el31);

mapbck_el32= matrixel_32 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el32;
mapbck_el32(mapbck_el32<0)=0;
assignin('base','mapbck_el32',mapbck_el32);

mapbck_el33= matrixel_33 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el33;
mapbck_el33(mapbck_el33<0)=0;
assignin('base','mapbck_el33',mapbck_el33);

mapbck_el34= matrixel_34 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el34;
mapbck_el34(mapbck_el34<0)=0;
assignin('base','mapbck_el34',mapbck_el34);

mapbck_el35= matrixel_35 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el35;
mapbck_el35(mapbck_el35<0)=0;
assignin('base','mapbck_el35',mapbck_el35);

mapbck_el36= matrixel_36 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el36;
mapbck_el36(mapbck_el36<0)=0;
assignin('base','mapbck_el36',mapbck_el36);

mapbck_el37= matrixel_37 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el37;
mapbck_el37(mapbck_el37<0)=0;
assignin('base','mapbck_el37',mapbck_el37);

mapbck_el38= matrixel_38 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el38;
mapbck_el38(mapbck_el38<0)=0;
assignin('base','mapbck_el38',mapbck_el38);

mapbck_el39= matrixel_39 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el39;
mapbck_el39(mapbck_el39<0)=0;
assignin('base','mapbck_el39',mapbck_el39);

mapbck_el40= matrixel_40 (minmap1:maxmap1, :)-ones((maxmap1-minmap1)+1,1)*bcksub_el40;
mapbck_el40(mapbck_el40<0)=0;
assignin('base','mapbck_el40',mapbck_el40);


% --- Executes on button press in SETstd1. STEP 5
function SETstd1_Callback(hObject, eventdata, handles)
% hObject    handle to SETstd1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
 global minbkgstd
 global maxbkgstd
 global mindatastd
 global maxdatastd
 
    minbkgstd=str2num(get(handles.firstbckcycleSTD,'String'))
    maxbkgstd=str2num(get(handles.lastbckcycleSTD,'String'))
    mindatastd=str2num(get(handles.firstanalysiscycleSTD,'String'))
    maxdatastd=str2num(get(handles.lastanalysiscycleSTD,'String'))

    assignin('base','minbkgstd',minbkgstd);
    assignin('base','maxbkgstd',maxbkgstd);
    assignin('base','mindatastd',mindatastd);
    assignin('base','maxdatastd',maxdatastd);


% --- Executes on button press in RUNstd1. STEP 5
function RUNstd1_Callback(hObject, eventdata, handles)
% hObject    handle to RUNstd1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
fileSTD=evalin('base','fileSTD');
minbkgstd=evalin('base','minbkgstd');
maxbkgstd=evalin('base','maxbkgstd');
mindatastd=evalin('base','mindatastd');
maxdatastd=evalin('base','maxdatastd');

bckmean=mean(fileSTD(minbkgstd:maxbkgstd, :));
assignin('base','bckmean',bckmean);

 STD=fileSTD(mindatastd:maxdatastd, :);
 assignin('base','STD',STD);
 
STD=evalin('base','STD');
bckmean=evalin('base','bckmean');
RANCAL= mean(STD-ones((maxdatastd-mindatastd)+1,1)*bckmean);
  
 if  length(RANCAL)~= 40
        RANCALadd= zeros(40-length (RANCAL), 1);
        RANCAL_40=[RANCAL, RANCALadd'];
    else
        RANCAL_40=RANCAL;
    end
    
assignin('base','RANCAL_40',RANCAL_40);
assignin('base','RANCAL',RANCAL);


% --- Executes on button press in set_riscal. STEP 6
function set_riscal_Callback(hObject, eventdata, handles)
% hObject    handle to set_riscal (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

RISCAL_query=str2num(get(handles.RISCAL_input,'String'));
assignin('base','RISCAL_query',RISCAL_query);

RISCAL_query=evalin('base','RISCAL_query');
RANCAL=evalin('base','RANCAL');
CANCAL=evalin('base','CANCAL');

RISCAL=RANCAL(1,RISCAL_query) ;
assignin('base','RISCAL',RISCAL);

CISCAL=CANCAL(1,RISCAL_query) ;
assignin('base','CISCAL',CISCAL);


% --- Executes on button press in intstd_sample. STEP 7
function intstd_sample_Callback(hObject, eventdata, handles)
% hObject    handle to intstd_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
mapbck_el1=evalin('base','mapbck_el1');
mapbck_el2=evalin('base','mapbck_el2');
mapbck_el3=evalin('base','mapbck_el3');
mapbck_el4=evalin('base','mapbck_el4');
mapbck_el5=evalin('base','mapbck_el5');
mapbck_el6=evalin('base','mapbck_el6');
mapbck_el7=evalin('base','mapbck_el7');
mapbck_el8=evalin('base','mapbck_el8');
mapbck_el9=evalin('base','mapbck_el9');
mapbck_el10=evalin('base','mapbck_el10');
mapbck_el11=evalin('base','mapbck_el11');
mapbck_el12=evalin('base','mapbck_el12');
mapbck_el13=evalin('base','mapbck_el13');
mapbck_el14=evalin('base','mapbck_el14');
mapbck_el15=evalin('base','mapbck_el15');
mapbck_el16=evalin('base','mapbck_el16');
mapbck_el17=evalin('base','mapbck_el17');
mapbck_el18=evalin('base','mapbck_el18');
mapbck_el19=evalin('base','mapbck_el19');
mapbck_el20=evalin('base','mapbck_el20');
mapbck_el21=evalin('base','mapbck_el21');
mapbck_el22=evalin('base','mapbck_el22');
mapbck_el23=evalin('base','mapbck_el23');
mapbck_el24=evalin('base','mapbck_el24');
mapbck_el25=evalin('base','mapbck_el25');
mapbck_el26=evalin('base','mapbck_el26');
mapbck_el27=evalin('base','mapbck_el27');
mapbck_el28=evalin('base','mapbck_el28');
mapbck_el29=evalin('base','mapbck_el29');
mapbck_el30=evalin('base','mapbck_el30');
mapbck_el31=evalin('base','mapbck_el31');
mapbck_el32=evalin('base','mapbck_el32');
mapbck_el33=evalin('base','mapbck_el33');
mapbck_el34=evalin('base','mapbck_el34');
mapbck_el35=evalin('base','mapbck_el35');
mapbck_el36=evalin('base','mapbck_el36');
mapbck_el37=evalin('base','mapbck_el37');
mapbck_el38=evalin('base','mapbck_el38');
mapbck_el39=evalin('base','mapbck_el39');
mapbck_el40=evalin('base','mapbck_el40');


RISSAM=input('Which element is your internal standard? You must answer must be of the type: <a href="">mapbck_el*</a>, with * the number of the element ');
assignin('base','RISSAM',RISSAM);
run Map;


% --- Executes on button press in CISSAM_set. STEP 8
function CISSAM_set_Callback(hObject, eventdata, handles)
% hObject    handle to CISSAM_set (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
CISSAM=str2num(get(handles.CISSAM_input,'String'));
assignin('base','CISSAM',CISSAM);

mapbck_el1=evalin('base','mapbck_el1');
[z zz]=size(mapbck_el1);

CISSAM=evalin('base','CISSAM')
CISSAM_map=ones(z,zz)*CISSAM;
assignin('base','CISSAM_map',CISSAM_map);


% --- Executes on button press in ppm_conversion. STEP 9
function ppm_conversion_Callback(hObject, eventdata, handles)
% hObject    handle to ppm_conversion (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
CISSAM_map=evalin('base','CISSAM_map');
RISSAM=evalin('base','RISSAM');
RISCAL=evalin('base','RISCAL');
CISCAL=evalin('base','CISCAL');

T2=CISSAM_map./RISSAM;
T3=RISCAL./CISCAL;

assignin('base','T2',T2)
assignin('base','T3',T3);

RANCAL_40=evalin('base','RANCAL_40');
mapbck_el1=evalin('base','mapbck_el1');
mapbck_el2=evalin('base','mapbck_el2');
mapbck_el3=evalin('base','mapbck_el3');
mapbck_el4=evalin('base','mapbck_el4');
mapbck_el5=evalin('base','mapbck_el5');
mapbck_el6=evalin('base','mapbck_el6');
mapbck_el7=evalin('base','mapbck_el7');
mapbck_el8=evalin('base','mapbck_el8');
mapbck_el9=evalin('base','mapbck_el9');
mapbck_el10=evalin('base','mapbck_el10');
mapbck_el11=evalin('base','mapbck_el11');
mapbck_el12=evalin('base','mapbck_el12');
mapbck_el13=evalin('base','mapbck_el13');
mapbck_el14=evalin('base','mapbck_el14');
mapbck_el15=evalin('base','mapbck_el15');
mapbck_el16=evalin('base','mapbck_el16');
mapbck_el17=evalin('base','mapbck_el17');
mapbck_el18=evalin('base','mapbck_el18');
mapbck_el19=evalin('base','mapbck_el19');
mapbck_el20=evalin('base','mapbck_el20');
mapbck_el21=evalin('base','mapbck_el21');
mapbck_el22=evalin('base','mapbck_el22');
mapbck_el23=evalin('base','mapbck_el23');
mapbck_el24=evalin('base','mapbck_el24');
mapbck_el25=evalin('base','mapbck_el25');
mapbck_el26=evalin('base','mapbck_el26');
mapbck_el27=evalin('base','mapbck_el27');
mapbck_el28=evalin('base','mapbck_el28');
mapbck_el29=evalin('base','mapbck_el29');
mapbck_el30=evalin('base','mapbck_el30');
mapbck_el31=evalin('base','mapbck_el31');
mapbck_el32=evalin('base','mapbck_el32');
mapbck_el33=evalin('base','mapbck_el33');
mapbck_el34=evalin('base','mapbck_el34');
mapbck_el35=evalin('base','mapbck_el35');
mapbck_el36=evalin('base','mapbck_el36');
mapbck_el37=evalin('base','mapbck_el37');
mapbck_el38=evalin('base','mapbck_el38');
mapbck_el39=evalin('base','mapbck_el39');
mapbck_el40=evalin('base','mapbck_el40');

   T1_el1=mapbck_el1./RANCAL_40(:,1);
   assignin('base','T1_el1',T1_el1);
   
   T1_el2=mapbck_el2./RANCAL_40(:,2);
   assignin('base','T1_el2',T1_el2);
   
   T1_el3=mapbck_el3./RANCAL_40(:,3);
   assignin('base','T1_el3',T1_el3);
   
   T1_el4=mapbck_el4./RANCAL_40(:,4);
   assignin('base','T1_el4',T1_el4);
   
   T1_el5=mapbck_el5./RANCAL_40(:,5);
   assignin('base','T1_el5',T1_el5);
   
   T1_el6=mapbck_el6./RANCAL_40(:,6);
   assignin('base','T1_el6',T1_el6);
   
   T1_el7=mapbck_el7./RANCAL_40(:,7);
   assignin('base','T1_el7',T1_el7);
   
   T1_el8=mapbck_el8./RANCAL_40(:,8);
   assignin('base','T1_el8',T1_el8);
   
   T1_el9=mapbck_el9./RANCAL_40(:,9);
   assignin('base','T1_el9',T1_el9);
   
   T1_el10=mapbck_el10./RANCAL_40(:,10);
   assignin('base','T1_el10',T1_el10);
   
   T1_el11=mapbck_el11./RANCAL_40(:,11);
   assignin('base','T1_el11',T1_el11);
   
   T1_el12=mapbck_el12./RANCAL_40(:,12);
   assignin('base','T1_el12',T1_el12);
   
   T1_el13=mapbck_el13./RANCAL_40(:,13);
   assignin('base','T1_el13',T1_el13);
   
   T1_el14=mapbck_el14./RANCAL_40(:,14);
   assignin('base','T1_el14',T1_el14);
   
   T1_el15=mapbck_el15./RANCAL_40(:,15);
   assignin('base','T1_el15',T1_el15);
   
   T1_el16=mapbck_el16./RANCAL_40(:,16);
   assignin('base','T1_el16',T1_el16);
   
   T1_el17=mapbck_el17./RANCAL_40(:,17);
   assignin('base','T1_el17',T1_el17);
   
   T1_el18=mapbck_el18./RANCAL_40(:,18);
   assignin('base','T1_el18',T1_el18);
   
   T1_el19=mapbck_el19./RANCAL_40(:,19);
   assignin('base','T1_el19',T1_el19);
   
   T1_el20=mapbck_el20./RANCAL_40(:,20);
   assignin('base','T1_el20',T1_el20);
   
   T1_el21=mapbck_el21./RANCAL_40(:,21);
   assignin('base','T1_el21',T1_el21);
   
   T1_el22=mapbck_el22./RANCAL_40(:,22);
   assignin('base','T1_el22',T1_el22);
   
   T1_el23=mapbck_el23./RANCAL_40(:,23);
   assignin('base','T1_el23',T1_el23);
   
   T1_el24=mapbck_el24./RANCAL_40(:,24);
   assignin('base','T1_el24',T1_el24);
   
   T1_el25=mapbck_el25./RANCAL_40(:,25);
   assignin('base','T1_el25',T1_el25);
   
   T1_el26=mapbck_el26./RANCAL_40(:,26);
   assignin('base','T1_el26',T1_el26);
   
   T1_el27=mapbck_el27./RANCAL_40(:,27);
   assignin('base','T1_el27',T1_el27);
   
   T1_el28=mapbck_el28./RANCAL_40(:,28);
   assignin('base','T1_el28',T1_el28);
   
   T1_el29=mapbck_el29./RANCAL_40(:,29);
   assignin('base','T1_el29',T1_el29);
   
   T1_el30=mapbck_el30./RANCAL_40(:,30);
   assignin('base','T1_el30',T1_el30);
   
   T1_el31=mapbck_el31./RANCAL_40(:,31);
   assignin('base','T1_el31',T1_el31);
   
   T1_el32=mapbck_el32./RANCAL_40(:,32);
   assignin('base','T1_el32',T1_el32);
   
   T1_el33=mapbck_el33./RANCAL_40(:,33);
   assignin('base','T1_el33',T1_el33);
   
   T1_el34=mapbck_el34./RANCAL_40(:,34);
   assignin('base','T1_el34',T1_el34);
   
   T1_el35=mapbck_el35./RANCAL_40(:,35);
   assignin('base','T1_el35',T1_el35);
   
   T1_el36=mapbck_el36./RANCAL_40(:,36);
   assignin('base','T1_el36',T1_el36);
   
   T1_el37=mapbck_el37./RANCAL_40(:,37);
   assignin('base','T1_el37',T1_el37);
   
   T1_el38=mapbck_el38./RANCAL_40(:,38);
   assignin('base','T1_el38',T1_el38);
   
   T1_el39=mapbck_el39./RANCAL_40(:,39);
   assignin('base','T1_el39',T1_el39);
   
   T1_el40=mapbck_el40./RANCAL_40(:,40);
   assignin('base','T1_el40',T1_el40);
   
   T2=evalin('base','T2');
   T3=evalin('base','T3');
   CANCAL_40=evalin('base','CANCAL_40');
   
   el1_ppmnorm=CANCAL_40(:,1)*T1_el1.*T2*T3; 
   el2_ppmnorm=CANCAL_40(:,2)*T1_el2.*T2*T3;
   el3_ppmnorm=CANCAL_40(:,3)*T1_el3.*T2*T3; 
   el4_ppmnorm=CANCAL_40(:,4)*T1_el4.*T2*T3;
   el5_ppmnorm=CANCAL_40(:,5)*T1_el5.*T2*T3; 
   el6_ppmnorm=CANCAL_40(:,6)*T1_el6.*T2*T3;
   el7_ppmnorm=CANCAL_40(:,7)*T1_el7.*T2*T3;  
   el8_ppmnorm=CANCAL_40(:,8)*T1_el8.*T2*T3; 
   el9_ppmnorm=CANCAL_40(:,9)*T1_el9.*T2*T3; 
   el10_ppmnorm=CANCAL_40(:,10)*T1_el10.*T2*T3;
   el11_ppmnorm=CANCAL_40(:,11)*T1_el11.*T2*T3;
   el12_ppmnorm=CANCAL_40(:,12)*T1_el12.*T2*T3;
   el13_ppmnorm=CANCAL_40(:,13)*T1_el13.*T2*T3;
   el14_ppmnorm=CANCAL_40(:,14)*T1_el14.*T2*T3;
   el15_ppmnorm=CANCAL_40(:,15)*T1_el15.*T2*T3;
   el16_ppmnorm=CANCAL_40(:,16)*T1_el16.*T2*T3;
   el17_ppmnorm=CANCAL_40(:,17)*T1_el17.*T2*T3;
   el18_ppmnorm=CANCAL_40(:,18)*T1_el18.*T2*T3;
   el19_ppmnorm=CANCAL_40(:,19)*T1_el19.*T2*T3; 
   el20_ppmnorm=CANCAL_40(:,20)*T1_el20.*T2*T3;
   el21_ppmnorm=CANCAL_40(:,21)*T1_el21.*T2*T3; 
   el22_ppmnorm=CANCAL_40(:,22)*T1_el22.*T2*T3;
   el23_ppmnorm=CANCAL_40(:,23)*T1_el23.*T2*T3; 
   el24_ppmnorm=CANCAL_40(:,24)*T1_el24.*T2*T3;
   el25_ppmnorm=CANCAL_40(:,25)*T1_el25.*T2*T3; 
   el26_ppmnorm=CANCAL_40(:,26)*T1_el26.*T2*T3;
   el27_ppmnorm=CANCAL_40(:,27)*T1_el27.*T2*T3; 
   el28_ppmnorm=CANCAL_40(:,28)*T1_el28.*T2*T3;
   el29_ppmnorm=CANCAL_40(:,29)*T1_el29.*T2*T3; 
   el30_ppmnorm=CANCAL_40(:,30)*T1_el30.*T2*T3;
   el31_ppmnorm=CANCAL_40(:,31)*T1_el31.*T2*T3;
   el32_ppmnorm=CANCAL_40(:,32)*T1_el32.*T2*T3;
   el33_ppmnorm=CANCAL_40(:,33)*T1_el33.*T2*T3;
   el34_ppmnorm=CANCAL_40(:,34)*T1_el34.*T2*T3;
   el35_ppmnorm=CANCAL_40(:,35)*T1_el35.*T2*T3;
   el36_ppmnorm=CANCAL_40(:,36)*T1_el36.*T2*T3;
   el37_ppmnorm=CANCAL_40(:,37)*T1_el37.*T2*T3;
   el38_ppmnorm=CANCAL_40(:,38)*T1_el38.*T2*T3;
   el39_ppmnorm=CANCAL_40(:,39)*T1_el39.*T2*T3; 
   el40_ppmnorm=CANCAL_40(:,40)*T1_el40.*T2*T3;
   
   assignin('base','EL1',el1_ppmnorm);
   assignin('base','EL2',el2_ppmnorm);
   assignin('base','EL3',el3_ppmnorm);
   assignin('base','EL4',el4_ppmnorm);
   assignin('base','EL5',el5_ppmnorm);
   assignin('base','EL6',el6_ppmnorm);
   assignin('base','EL7',el7_ppmnorm);
   assignin('base','EL8',el8_ppmnorm);
   assignin('base','EL9',el9_ppmnorm);
   assignin('base','EL10',el10_ppmnorm);
   assignin('base','EL11',el11_ppmnorm);
   assignin('base','EL12',el12_ppmnorm);
   assignin('base','EL13',el13_ppmnorm);
   assignin('base','EL14',el14_ppmnorm);
   assignin('base','EL15',el15_ppmnorm);
   assignin('base','EL16',el16_ppmnorm);
   assignin('base','EL17',el17_ppmnorm);
   assignin('base','EL18',el18_ppmnorm);
   assignin('base','EL19',el19_ppmnorm);
   assignin('base','EL20',el20_ppmnorm);
   assignin('base','EL21',el21_ppmnorm);
   assignin('base','EL22',el22_ppmnorm);
   assignin('base','EL23',el23_ppmnorm);
   assignin('base','EL24',el24_ppmnorm);
   assignin('base','EL25',el25_ppmnorm);
   assignin('base','EL26',el26_ppmnorm);
   assignin('base','EL27',el27_ppmnorm);
   assignin('base','EL28',el28_ppmnorm);
   assignin('base','EL29',el29_ppmnorm);
   assignin('base','EL30',el30_ppmnorm);
   assignin('base','EL31',el31_ppmnorm);
   assignin('base','EL32',el32_ppmnorm);
   assignin('base','EL33',el33_ppmnorm);
   assignin('base','EL34',el34_ppmnorm);
   assignin('base','EL35',el35_ppmnorm);
   assignin('base','EL36',el36_ppmnorm);
   assignin('base','EL37',el37_ppmnorm);
   assignin('base','EL38',el38_ppmnorm);
   assignin('base','EL39',el39_ppmnorm);
   assignin('base','EL40',el40_ppmnorm);

   
% --- Executes on button press in externalcal. STEP 9(2)
function externalcal_Callback(hObject, eventdata, handles)
% hObject    handle to externalcal (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


CANCAL_40=evalin('base','CANCAL_40');


RANCAL_40=evalin('base','RANCAL_40');
mapbck_el1=evalin('base','mapbck_el1');
mapbck_el2=evalin('base','mapbck_el2');
mapbck_el3=evalin('base','mapbck_el3');
mapbck_el4=evalin('base','mapbck_el4');
mapbck_el5=evalin('base','mapbck_el5');
mapbck_el6=evalin('base','mapbck_el6');
mapbck_el7=evalin('base','mapbck_el7');
mapbck_el8=evalin('base','mapbck_el8');
mapbck_el9=evalin('base','mapbck_el9');
mapbck_el10=evalin('base','mapbck_el10');
mapbck_el11=evalin('base','mapbck_el11');
mapbck_el12=evalin('base','mapbck_el12');
mapbck_el13=evalin('base','mapbck_el13');
mapbck_el14=evalin('base','mapbck_el14');
mapbck_el15=evalin('base','mapbck_el15');
mapbck_el16=evalin('base','mapbck_el16');
mapbck_el17=evalin('base','mapbck_el17');
mapbck_el18=evalin('base','mapbck_el18');
mapbck_el19=evalin('base','mapbck_el19');
mapbck_el20=evalin('base','mapbck_el20');
mapbck_el21=evalin('base','mapbck_el21');
mapbck_el22=evalin('base','mapbck_el22');
mapbck_el23=evalin('base','mapbck_el23');
mapbck_el24=evalin('base','mapbck_el24');
mapbck_el25=evalin('base','mapbck_el25');
mapbck_el26=evalin('base','mapbck_el26');
mapbck_el27=evalin('base','mapbck_el27');
mapbck_el28=evalin('base','mapbck_el28');
mapbck_el29=evalin('base','mapbck_el29');
mapbck_el30=evalin('base','mapbck_el30');
mapbck_el31=evalin('base','mapbck_el31');
mapbck_el32=evalin('base','mapbck_el32');
mapbck_el33=evalin('base','mapbck_el33');
mapbck_el34=evalin('base','mapbck_el34');
mapbck_el35=evalin('base','mapbck_el35');
mapbck_el36=evalin('base','mapbck_el36');
mapbck_el37=evalin('base','mapbck_el37');
mapbck_el38=evalin('base','mapbck_el38');
mapbck_el39=evalin('base','mapbck_el39');
mapbck_el40=evalin('base','mapbck_el40');

 T1_el1=mapbck_el1./RANCAL_40(:,1);
   assignin('base','T1_el1',T1_el1);
   
   T1_el2=mapbck_el2./RANCAL_40(:,2);
   assignin('base','T1_el2',T1_el2);
   
   T1_el3=mapbck_el3./RANCAL_40(:,3);
   assignin('base','T1_el3',T1_el3);
   
   T1_el4=mapbck_el4./RANCAL_40(:,4);
   assignin('base','T1_el4',T1_el4);
   
   T1_el5=mapbck_el5./RANCAL_40(:,5);
   assignin('base','T1_el5',T1_el5);
   
   T1_el6=mapbck_el6./RANCAL_40(:,6);
   assignin('base','T1_el6',T1_el6);
   
   T1_el7=mapbck_el7./RANCAL_40(:,7);
   assignin('base','T1_el7',T1_el7);
   
   T1_el8=mapbck_el8./RANCAL_40(:,8);
   assignin('base','T1_el8',T1_el8);
   
   T1_el9=mapbck_el9./RANCAL_40(:,9);
   assignin('base','T1_el9',T1_el9);
   
   T1_el10=mapbck_el10./RANCAL_40(:,10);
   assignin('base','T1_el10',T1_el10);
   
   T1_el11=mapbck_el11./RANCAL_40(:,11);
   assignin('base','T1_el11',T1_el11);
   
   T1_el12=mapbck_el12./RANCAL_40(:,12);
   assignin('base','T1_el12',T1_el12);
   
   T1_el13=mapbck_el13./RANCAL_40(:,13);
   assignin('base','T1_el13',T1_el13);
   
   T1_el14=mapbck_el14./RANCAL_40(:,14);
   assignin('base','T1_el14',T1_el14);
   
   T1_el15=mapbck_el15./RANCAL_40(:,15);
   assignin('base','T1_el15',T1_el15);
   
   T1_el16=mapbck_el16./RANCAL_40(:,16);
   assignin('base','T1_el16',T1_el16);
   
   T1_el17=mapbck_el17./RANCAL_40(:,17);
   assignin('base','T1_el17',T1_el17);
   
   T1_el18=mapbck_el18./RANCAL_40(:,18);
   assignin('base','T1_el18',T1_el18);
   
   T1_el19=mapbck_el19./RANCAL_40(:,19);
   assignin('base','T1_el19',T1_el19);
   
   T1_el20=mapbck_el20./RANCAL_40(:,20);
   assignin('base','T1_el20',T1_el20);
   
   T1_el21=mapbck_el21./RANCAL_40(:,21);
   assignin('base','T1_el21',T1_el21);
   
   T1_el22=mapbck_el22./RANCAL_40(:,22);
   assignin('base','T1_el22',T1_el22);
   
   T1_el23=mapbck_el23./RANCAL_40(:,23);
   assignin('base','T1_el23',T1_el23);
   
   T1_el24=mapbck_el24./RANCAL_40(:,24);
   assignin('base','T1_el24',T1_el24);
   
   T1_el25=mapbck_el25./RANCAL_40(:,25);
   assignin('base','T1_el25',T1_el25);
   
   T1_el26=mapbck_el26./RANCAL_40(:,26);
   assignin('base','T1_el26',T1_el26);
   
   T1_el27=mapbck_el27./RANCAL_40(:,27);
   assignin('base','T1_el27',T1_el27);
   
   T1_el28=mapbck_el28./RANCAL_40(:,28);
   assignin('base','T1_el28',T1_el28);
   
   T1_el29=mapbck_el29./RANCAL_40(:,29);
   assignin('base','T1_el29',T1_el29);
   
   T1_el30=mapbck_el30./RANCAL_40(:,30);
   assignin('base','T1_el30',T1_el30);
   
   T1_el31=mapbck_el31./RANCAL_40(:,31);
   assignin('base','T1_el31',T1_el31);
   
   T1_el32=mapbck_el32./RANCAL_40(:,32);
   assignin('base','T1_el32',T1_el32);
   
   T1_el33=mapbck_el33./RANCAL_40(:,33);
   assignin('base','T1_el33',T1_el33);
   
   T1_el34=mapbck_el34./RANCAL_40(:,34);
   assignin('base','T1_el34',T1_el34);
   
   T1_el35=mapbck_el35./RANCAL_40(:,35);
   assignin('base','T1_el35',T1_el35);
   
   T1_el36=mapbck_el36./RANCAL_40(:,36);
   assignin('base','T1_el36',T1_el36);
   
   T1_el37=mapbck_el37./RANCAL_40(:,37);
   assignin('base','T1_el37',T1_el37);
   
   T1_el38=mapbck_el38./RANCAL_40(:,38);
   assignin('base','T1_el38',T1_el38);
   
   T1_el39=mapbck_el39./RANCAL_40(:,39);
   assignin('base','T1_el39',T1_el39);
   
   T1_el40=mapbck_el40./RANCAL_40(:,40);
   assignin('base','T1_el40',T1_el40);
   
   el1_ppmnorm=CANCAL_40(:,1)*T1_el1; 
   el2_ppmnorm=CANCAL_40(:,2)*T1_el2;
   el3_ppmnorm=CANCAL_40(:,3)*T1_el3; 
   el4_ppmnorm=CANCAL_40(:,4)*T1_el4;
   el5_ppmnorm=CANCAL_40(:,5)*T1_el5; 
   el6_ppmnorm=CANCAL_40(:,6)*T1_el6;
   el7_ppmnorm=CANCAL_40(:,7)*T1_el7;  
   el8_ppmnorm=CANCAL_40(:,8)*T1_el8; 
   el9_ppmnorm=CANCAL_40(:,9)*T1_el9; 
   el10_ppmnorm=CANCAL_40(:,10)*T1_el10;
   el11_ppmnorm=CANCAL_40(:,11)*T1_el11;
   el12_ppmnorm=CANCAL_40(:,12)*T1_el12;
   el13_ppmnorm=CANCAL_40(:,13)*T1_el13;
   el14_ppmnorm=CANCAL_40(:,14)*T1_el14;
   el15_ppmnorm=CANCAL_40(:,15)*T1_el15;
   el16_ppmnorm=CANCAL_40(:,16)*T1_el16;
   el17_ppmnorm=CANCAL_40(:,17)*T1_el17;
   el18_ppmnorm=CANCAL_40(:,18)*T1_el18;
   el19_ppmnorm=CANCAL_40(:,19)*T1_el19; 
   el20_ppmnorm=CANCAL_40(:,20)*T1_el20;
   el21_ppmnorm=CANCAL_40(:,21)*T1_el21; 
   el22_ppmnorm=CANCAL_40(:,22)*T1_el22;
   el23_ppmnorm=CANCAL_40(:,23)*T1_el23; 
   el24_ppmnorm=CANCAL_40(:,24)*T1_el24;
   el25_ppmnorm=CANCAL_40(:,25)*T1_el25; 
   el26_ppmnorm=CANCAL_40(:,26)*T1_el26;
   el27_ppmnorm=CANCAL_40(:,27)*T1_el27; 
   el28_ppmnorm=CANCAL_40(:,28)*T1_el28;
   el29_ppmnorm=CANCAL_40(:,29)*T1_el29; 
   el30_ppmnorm=CANCAL_40(:,30)*T1_el30;
   el31_ppmnorm=CANCAL_40(:,31)*T1_el31;
   el32_ppmnorm=CANCAL_40(:,32)*T1_el32;
   el33_ppmnorm=CANCAL_40(:,33)*T1_el33;
   el34_ppmnorm=CANCAL_40(:,34)*T1_el34;
   el35_ppmnorm=CANCAL_40(:,35)*T1_el35;
   el36_ppmnorm=CANCAL_40(:,36)*T1_el36;
   el37_ppmnorm=CANCAL_40(:,37)*T1_el37;
   el38_ppmnorm=CANCAL_40(:,38)*T1_el38;
   el39_ppmnorm=CANCAL_40(:,39)*T1_el39; 
   el40_ppmnorm=CANCAL_40(:,40)*T1_el40;
   
   assignin('base','EL1',el1_ppmnorm);
   assignin('base','EL2',el2_ppmnorm);
   assignin('base','EL3',el3_ppmnorm);
   assignin('base','EL4',el4_ppmnorm);
   assignin('base','EL5',el5_ppmnorm);
   assignin('base','EL6',el6_ppmnorm);
   assignin('base','EL7',el7_ppmnorm);
   assignin('base','EL8',el8_ppmnorm);
   assignin('base','EL9',el9_ppmnorm);
   assignin('base','EL10',el10_ppmnorm);
   assignin('base','EL11',el11_ppmnorm);
   assignin('base','EL12',el12_ppmnorm);
   assignin('base','EL13',el13_ppmnorm);
   assignin('base','EL14',el14_ppmnorm);
   assignin('base','EL15',el15_ppmnorm);
   assignin('base','EL16',el16_ppmnorm);
   assignin('base','EL17',el17_ppmnorm);
   assignin('base','EL18',el18_ppmnorm);
   assignin('base','EL19',el19_ppmnorm);
   assignin('base','EL20',el20_ppmnorm);
   assignin('base','EL21',el21_ppmnorm);
   assignin('base','EL22',el22_ppmnorm);
   assignin('base','EL23',el23_ppmnorm);
   assignin('base','EL24',el24_ppmnorm);
   assignin('base','EL25',el25_ppmnorm);
   assignin('base','EL26',el26_ppmnorm);
   assignin('base','EL27',el27_ppmnorm);
   assignin('base','EL28',el28_ppmnorm);
   assignin('base','EL29',el29_ppmnorm);
   assignin('base','EL30',el30_ppmnorm);
   assignin('base','EL31',el31_ppmnorm);
   assignin('base','EL32',el32_ppmnorm);
   assignin('base','EL33',el33_ppmnorm);
   assignin('base','EL34',el34_ppmnorm);
   assignin('base','EL35',el35_ppmnorm);
   assignin('base','EL36',el36_ppmnorm);
   assignin('base','EL37',el37_ppmnorm);
   assignin('base','EL38',el38_ppmnorm);
   assignin('base','EL39',el39_ppmnorm);
   assignin('base','EL40',el40_ppmnorm);
   

% --- Executes on button press in SET4. STEP 10 (MapIT!)
function SET4_Callback(hObject, eventdata, handles)
% hObject    handle to SET4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
EL1=evalin('base','EL1');
EL2=evalin('base','EL2');
EL3=evalin('base','EL3');
EL4=evalin('base','EL4');
EL5=evalin('base','EL5');
EL6=evalin('base','EL6');
EL7=evalin('base','EL7');
EL8=evalin('base','EL8');
EL9=evalin('base','EL9');
EL10=evalin('base','EL10');
EL11=evalin('base','EL11');
EL12=evalin('base','EL12');
EL13=evalin('base','EL13');
EL14=evalin('base','EL14');
EL15=evalin('base','EL15');
EL16=evalin('base','EL16');
EL17=evalin('base','EL17');
EL18=evalin('base','EL18');
EL19=evalin('base','EL19');
EL20=evalin('base','EL20');
EL21=evalin('base','EL21');
EL22=evalin('base','EL22');
EL23=evalin('base','EL23');
EL24=evalin('base','EL24');
EL25=evalin('base','EL25');
EL26=evalin('base','EL26');
EL27=evalin('base','EL27');
EL28=evalin('base','EL28');
EL29=evalin('base','EL29');
EL30=evalin('base','EL30');
EL31=evalin('base','EL31');
EL32=evalin('base','EL32');
EL33=evalin('base','EL33');
EL34=evalin('base','EL34');
EL35=evalin('base','EL35');
EL36=evalin('base','EL36');
EL37=evalin('base','EL37');
EL38=evalin('base','EL38');
EL39=evalin('base','EL39');
EL40=evalin('base','EL40');

 map=input('Which element do you want to map? The answer should be written as <a href="">EL*</a>, with * the number of the element. You can also map a ratio, for that you should write: <a href="">EL*./EL* </a>');
    figure ()
    h=pcolor(map');
    set(h,'edgecolor','none','facecolor', 'interp', 'facelighting', 'phong'); axis image; axis ij;
    
    questionmap=input('Do you want to map another element? yes = 1 no = 0 ' );
    
    while questionmap==1
        map=input('Which element do you want to map? The answer should be written as <a href="">EL*</a>, with * the number of the element. You can also map a ratio, for that you should write: <a href="">EL*./EL* </a>');
        figure ()
        h=pcolor(map');
        set(h,'edgecolor','none','facecolor', 'interp', 'facelighting', 'phong'); axis image; axis ij;
        questionmap=input('Do you want to map another element? yes = 1 no = 0 ');
    end
     if questionmap==0
            disp ('See you soon !!!')
     end

  

function firstbckgcycle_Callback(hObject, eventdata, handles)
% hObject    handle to firstbckgcycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of firstbckgcycle as text
%        str2double(get(hObject,'String')) returns contents of firstbckgcycle as a double


% --- Executes during object creation, after setting all properties.
function firstbckgcycle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to firstbckgcycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lastbckgcycle_Callback(hObject, eventdata, handles)
% hObject    handle to lastbckgcycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lastbckgcycle as text
%        str2double(get(hObject,'String')) returns contents of lastbckgcycle as a double


% --- Executes during object creation, after setting all properties.
function lastbckgcycle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lastbckgcycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function firstanalysiscycle_Callback(hObject, eventdata, handles)
% hObject    handle to firstanalysiscycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of firstanalysiscycle as text
%        str2double(get(hObject,'String')) returns contents of firstanalysiscycle as a double


% --- Executes during object creation, after setting all properties.
function firstanalysiscycle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to firstanalysiscycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function lastanalysiscycle_Callback(hObject, eventdata, handles)
% hObject    handle to lastanalysiscycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lastanalysiscycle as text
%        str2double(get(hObject,'String')) returns contents of lastanalysiscycle as a double


% --- Executes during object creation, after setting all properties.
function lastanalysiscycle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lastanalysiscycle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


    function numberelements_Callback(hObject, eventdata, handles)
% hObject    handle to numberelements (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of numberelements as text
%        str2double(get(hObject,'String')) returns contents of numberelements as a double


% --- Executes during object creation, after setting all properties.
function numberelements_CreateFcn(hObject, eventdata, handles)
% hObject    handle to numberelements (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function numberlines_Callback(hObject, eventdata, handles)
% hObject    handle to numberlines (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of numberlines as text
%        str2double(get(hObject,'String')) returns contents of numberlines as a double


% --- Executes during object creation, after setting all properties.
function numberlines_CreateFcn(hObject, eventdata, handles)
% hObject    handle to numberlines (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in MAPBCKG.
function MAPBCKG_Callback(hObject, eventdata, handles)
% hObject    handle to MAPBCKG (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
matrixel_1=evalin('base','matrixel_1');
axes(handles.Map_Background)
imagesc(matrixel_1');


% --- Executes on button press in MAPIT1.
function MAPIT1_Callback(hObject, eventdata, handles)
% hObject    handle to MAPIT1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


function internalstd_Callback(hObject, eventdata, handles)
% hObject    handle to internalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of internalstd as text
%        str2double(get(hObject,'String')) returns contents of internalstd as a double


% --- Executes during object creation, after setting all properties.
function internalstd_CreateFcn(hObject, eventdata, handles)
% hObject    handle to internalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popinternalstd.
function popinternalstd_Callback(hObject, eventdata, handles)
% hObject    handle to popinternalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popinternalstd contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popinternalstd


% --- Executes during object creation, after setting all properties.
function popinternalstd_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popinternalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupinternalstd.
function popupinternalstd_Callback(hObject, eventdata, handles)
% hObject    handle to popupinternalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupinternalstd contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupinternalstd


% --- Executes during object creation, after setting all properties.
function popupinternalstd_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupinternalstd (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in internalstdlist.
function internalstdlist_Callback(hObject, eventdata, handles)
% hObject    handle to internalstdlist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns internalstdlist contents as cell array
%        contents{get(hObject,'Value')} returns selected item from internalstdlist


% --- Executes during object creation, after setting all properties.
function internalstdlist_CreateFcn(hObject, eventdata, handles)
% hObject    handle to internalstdlist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
val = get(hObject,'Value');
assignin('base','val',val)


function lastanalysiscycleSTD_Callback(hObject, eventdata, handles)
% hObject    handle to lastanalysiscycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lastanalysiscycleSTD as text
%        str2double(get(hObject,'String')) returns contents of lastanalysiscycleSTD as a double


% --- Executes during object creation, after setting all properties.
function lastanalysiscycleSTD_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lastanalysiscycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function firstanalysiscycleSTD_Callback(hObject, eventdata, handles)
% hObject    handle to firstanalysiscycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of firstanalysiscycleSTD as text
%        str2double(get(hObject,'String')) returns contents of firstanalysiscycleSTD as a double


% --- Executes during object creation, after setting all properties.
function firstanalysiscycleSTD_CreateFcn(hObject, eventdata, handles)
% hObject    handle to firstanalysiscycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function lastbckcycleSTD_Callback(hObject, eventdata, handles)
% hObject    handle to lastbckcycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lastbckcycleSTD as text
%        str2double(get(hObject,'String')) returns contents of lastbckcycleSTD as a double


% --- Executes during object creation, after setting all properties.
function lastbckcycleSTD_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lastbckcycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function firstbckcycleSTD_Callback(hObject, eventdata, handles)
% hObject    handle to firstbckcycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of firstbckcycleSTD as text
%        str2double(get(hObject,'String')) returns contents of firstbckcycleSTD as a double


% --- Executes during object creation, after setting all properties.
function firstbckcycleSTD_CreateFcn(hObject, eventdata, handles)
% hObject    handle to firstbckcycleSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in MAPBCKSTD.
function MAPBCKSTD_Callback(hObject, eventdata, handles)
% hObject    handle to MAPBCKSTD (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
fileSTD=evalin('base','fileSTD');
axes(handles.Map_BackgroundSTD)
imagesc(fileSTD'); title ('STD');


function RISCAL_input_Callback(hObject, eventdata, handles)
% hObject    handle to RISCAL_input (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of RISCAL_input as text
%        str2double(get(hObject,'String')) returns contents of RISCAL_input as a double


% --- Executes during object creation, after setting all properties.
function RISCAL_input_CreateFcn(hObject, eventdata, handles)
% hObject    handle to RISCAL_input (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function CISSAM_input_Callback(hObject, eventdata, handles)
% hObject    handle to CISSAM_input (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of CISSAM_input as text
%        str2double(get(hObject,'String')) returns contents of CISSAM_input as a double


% --- Executes during object creation, after setting all properties.
function CISSAM_input_CreateFcn(hObject, eventdata, handles)
% hObject    handle to CISSAM_input (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
